libsigc++ 2.3.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | List of all members
sigc::unwrap_lambda_type< T_type > Struct Template Reference

Deduces the type of the object stored in an object of the passed lambda type. More...

`#include <sigc++/adaptors/lambda/base.h>`

## Public Types

typedef unwrap_reference < T_type >::type | type

## Detailed Description

### template<class T_type>
struct sigc::unwrap_lambda_type< T_type >

Deduces the type of the object stored in an object of the passed lambda type.

If the type passed as template argument is not of lambda type, type is defined to unwrap_reference<T_type>::type.